Subject: Offline Message from Mike Etheridge: My grandson has a T580 XL hoverboard and
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 25 Jun 2022 16:02:44 -0000

From: Mike Etheridge <[email-masked]>
Phone: 3215917891
Location: Atlanta, United States
URL: https://swagtron.com/parts-accessories/page/4/
Department: SwagTron

My grandson has a T580 XL hoverboard and I’m looking for the balance board replacement. The only number I’ve found on it is the XLY-10
Could you please find one for us. I will gladly purchase it for him. His family is not financially able to replace his board so I’m trying to help him out. Thank you
Sincerely, Mike Etheridge 

----
Zopim
https://www.zopim.com